if !SERVER then return end


local function zpizmak_CustomerSpawner()
	for k, v in pairs(ents.FindByClass( "zpizmak_opensign" ) ) do
		if(IsValid(v))then
			v:Calc_NextCustomer()
		end
	end
end

local function CheckCustomerPlaceTimerExist()
	if timer.Exists("zpizmak_customertable_id") == false then
		timer.Create("zpizmak_customertable_id",zpizmak.config.Customer_RespawnRate,0,zpizmak_CustomerSpawner)
	end
end
hook.Add( "InitPostEntity", "zpizmak_customertable_spawn_OnMapLoad", CheckCustomerPlaceTimerExist )
